﻿<Window x:Class="StroyMagaz_Derbyshev3ISP11_20.Windows.Cart"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:StroyMagaz_Derbyshev3ISP11_20.Windows"
        mc:Ignorable="d"
        Title="Cart" Height="768" Width="1024">
    <Grid Background="#FFC9D6DF">
        <Grid.RowDefinitions>
            <RowDefinition Height="50"/>
            <RowDefinition Height="50"/>
            <RowDefinition Height="10*"/>
            <RowDefinition Height="50"/>
        </Grid.RowDefinitions>

        <TextBlock Text="Корзина"
                   HorizontalAlignment="Center"
                   VerticalAlignment="Center"
                   FontSize="48"
                   FontFamily="Bahnschrift" FontWeight="Bold"/>
        <ListView x:Name="LvProductList" 
                  Grid.Row="2" 
                  d:ItemsSource="{d:SampleData ItemCount=5}"
                  ScrollViewer.HorizontalScrollBarVisibility="Disabled">

            <ListView.ItemsPanel>
                <ItemsPanelTemplate>
                    <WrapPanel/>
                </ItemsPanelTemplate>
            </ListView.ItemsPanel>

            <ListView.ItemTemplate>
                <DataTemplate>
                    <Border BorderBrush="Gray"
                            BorderThickness="2"
                            Width="200"
                            Height="330"
                            Margin="16"
                            CornerRadius="8">
                        <StackPanel>
                            <Image Height="180"
                                   Width="200" 
                                   Margin="8">
                                <Image.Source>
                                    <Binding Path ="Photo">
                                        <Binding.TargetNullValue>
                                            <ImageSource>/Res/розетка.jpg</ImageSource>
                                        </Binding.TargetNullValue>
                                    </Binding>
                                </Image.Source>
                            </Image>

                            <TextBlock Text="{Binding Title}"
                                       FontSize="14"
                                       Margin="5 3"
                                       FontFamily="Bahnschrift"/>
                            <TextBlock Text="{Binding Price}"
                                       FontSize="14"
                                       Margin="5 3"
                                       FontFamily="Bahnschrift"/>
                            <TextBlock Text="{Binding ProductType.Title}"
                                       FontSize="14"
                                       Margin="5 3"
                                       FontFamily="Bahnschrift"/>
                            <TextBlock Text="{Binding Discrtiption}"
                                       FontSize="14"
                                       Margin="5 3"
                                       FontFamily="Bahnschrift"/>

                            <WrapPanel HorizontalAlignment="Right">

                                <Button x:Name="BtnRomoveToCart"
                                    Width="30"
                                    Height="30"
                                    HorizontalAlignment="Left"
                                    Margin="30 5 0 0"
                                    Background="{x:Null}"
                                    BorderThickness="0"
                                    Click="BtnRomoveToCart_Click">
                                    <Image Source="/Res/delete.png" />
                                </Button>
                            </WrapPanel>

                        </StackPanel>

                    </Border>
                </DataTemplate>
            </ListView.ItemTemplate>
        </ListView>


        <Button x:Name="BtnBack"
                Content="Назад"
                FontFamily="Bahnschrift"
                FontSize="18"
                Grid.Row="3"
                Width="100"
                Height="40"
                Background="#FFF0F5F9"
                BorderThickness="0"
                HorizontalAlignment="Left"
                Click="BtnBack_Click">
            <Button.Resources>
                <Style TargetType="{x:Type Border}">
                    <Setter Property="CornerRadius" Value="10"/>
                </Style>
            </Button.Resources>

        </Button>

        <Button x:Name="BtnPay"
                Content="Оформить заказ"
                FontFamily="Bahnschrift"
                FontSize="18"
                Grid.Row="3"
                Width="200"
                Height="40"
                Background="#FFF0F5F9"
                BorderThickness="0"
                Margin="0 0 20 0"
                HorizontalAlignment="Right"
                Click="BtnPay_Click">
            <Button.Resources>
                <Style TargetType="{x:Type Border}">
                    <Setter Property="CornerRadius" Value="10"/>
                </Style>
            </Button.Resources>

        </Button>
    </Grid>
</Window>